Package com.datecs.fiscalprinter.SDK.model.UserLayerV1

# Class cmdEJournal.InfoEJ

java.lang.Object
com.datecs.fiscalprinter.SDK.model.UserLayerV1.cmdEJournal.InfoEJ

Enclosing class:
  cmdEJournal

    public static class cmdEJournal.InfoEJ
    extends java.lang.Object

Data Class Number - ? DateTime - ? Serial - ? fromZ - ? toZ - ? fromDoc - ? toDoc - ? Size - ? Used -

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `InfoEJ​(java.lang.Boolean isValid, java.lang.Boolean isCurrent, java.lang.String IDnumber, java.lang.String number, java.lang.String dateTime, java.lang.String serial, java.lang.String fromZ, java.lang.String toZ, java.lang.String fromDoc, java.lang.String toDoc, java.lang.String size, java.lang.String used)` |
  `InfoEJ​(java.lang.String fromZ, java.lang.String toZ, java.lang.String fromDoc, java.lang.String toDoc, java.lang.String size, java.lang.String used)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.lang.Boolean` | `getCurrent()` |
  `java.lang.String` | `getDateTime()` |
  `java.lang.String` | `getFromDoc()` |
  `java.lang.String` | `getFromZ()` |
  `java.lang.String` | `getIDnumber()` |
  `java.lang.String` | `getNumber()` |
  `java.lang.String` | `getSerial()` |
  `java.lang.String` | `getSize()` |
  `java.lang.String` | `getToDoc()` |
  `java.lang.String` | `getToZ()` |
  `java.lang.String` | `getUsed()` |
  `java.lang.Boolean` | `getValid()` |
  `void` | `setCurrent​(java.lang.Boolean current)` |
  `void` | `setDateTime​(java.lang.String dateTime)` |
  `void` | `setFromDoc​(java.lang.String fromDoc)` |
  `void` | `setFromZ​(java.lang.String fromZ)` |
  `void` | `setIDnumber​(java.lang.String IDnumber)` |
  `void` | `setNumber​(java.lang.String number)` |
  `void` | `setSerial​(java.lang.String serial)` |
  `void` | `setSize​(java.lang.String size)` |
  `void` | `setToDoc​(java.lang.String toDoc)` |
  `void` | `setToZ​(java.lang.String toZ)` |
  `void` | `setUsed​(java.lang.String used)` |
  `void` | `setValid​(java.lang.Boolean valid)` |

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### InfoEJ

    public InfoEJ​(java.lang.String fromZ, java.lang.String toZ, java.lang.String fromDoc, java.lang.String toDoc, java.lang.String size, java.lang.String used)

  - ### InfoEJ

    public InfoEJ​(java.lang.Boolean isValid, java.lang.Boolean isCurrent, java.lang.String IDnumber, java.lang.String number, java.lang.String dateTime, java.lang.String serial, java.lang.String fromZ, java.lang.String toZ, java.lang.String fromDoc, java.lang.String toDoc, java.lang.String size, java.lang.String used)

- ## Method Details

  - ### getValid

    public java.lang.Boolean getValid()

  - ### setValid

    public void setValid​(java.lang.Boolean valid)

  - ### getCurrent

    public java.lang.Boolean getCurrent()

  - ### setCurrent

    public void setCurrent​(java.lang.Boolean current)

  - ### getIDnumber

    public java.lang.String getIDnumber()

  - ### setIDnumber

    public void setIDnumber​(java.lang.String IDnumber)

  - ### getNumber

    public java.lang.String getNumber()

  - ### setNumber

    public void setNumber​(java.lang.String number)

  - ### getDateTime

    public java.lang.String getDateTime()

  - ### setDateTime

    public void setDateTime​(java.lang.String dateTime)

  - ### getSerial

    public java.lang.String getSerial()

  - ### setSerial

    public void setSerial​(java.lang.String serial)

  - ### getFromZ

    public java.lang.String getFromZ()

  - ### setFromZ

    public void setFromZ​(java.lang.String fromZ)

  - ### getToZ

    public java.lang.String getToZ()

  - ### setToZ

    public void setToZ​(java.lang.String toZ)

  - ### getFromDoc

    public java.lang.String getFromDoc()

  - ### setFromDoc

    public void setFromDoc​(java.lang.String fromDoc)

  - ### getToDoc

    public java.lang.String getToDoc()

  - ### setToDoc

    public void setToDoc​(java.lang.String toDoc)

  - ### getSize

    public java.lang.String getSize()

  - ### setSize

    public void setSize​(java.lang.String size)

  - ### getUsed

    public java.lang.String getUsed()

  - ### setUsed

    public void setUsed​(java.lang.String used)